package org.netkernel.layer0.bnf;

import org.netkernel.layer0.meta.GrammarException;
import org.netkernel.layer0.util.OrderedCheapMultiStringMap;

public class ExtraneousPartsException extends GrammarException
{
	private static final long serialVersionUID = -5284405118954465892L;
	
	private final OrderedCheapMultiStringMap mExtraParts;
	
	public ExtraneousPartsException(String aMessage, OrderedCheapMultiStringMap aExtraParts)
	{	super(aMessage);
		mExtraParts=aExtraParts;
	}
	
	public OrderedCheapMultiStringMap getExtraParts()
	{	return mExtraParts;
	}
}
