package org.netkernel.layer0.meta;

import org.netkernel.urii.IEndpoint;
import org.netkernel.urii.IMetaRepresentation;

/** Metadata interface for physical endpoints
 * @author tab
 */
public interface IPhysicalEndpointMeta extends IMetaRepresentation
{
	public static final IPhysicalEndpointFieldMeta[] NO_ADDITIONAL_FIELDS_META = new IPhysicalEndpointFieldMeta[0];
	
	/** Return the implementing class of the endpoint
	 * @return
	 */
	Class<IEndpoint> getImplementation();
	
	boolean isThreadSafe();
}