package org.netkernel.layer0.nkf.impl;

import org.netkernel.container.IKernel;
import org.netkernel.layer0.nkf.NKFException;
import org.netkernel.request.IRequestScopeLevel;


public class NKFLifecycleEventContextImpl extends NKFContextImpl
{
	
	public NKFLifecycleEventContextImpl(IKernel aKernel, IRequestScopeLevel aScope, Object aEndpoint, INKFParametersControl aParameters)
	{	super(aKernel,aScope.getSpace(),null,aEndpoint,aParameters);
		setRequestScope(aScope);
	}
	
	protected void checkLive() throws NKFException
	{	if (getRequestScope()==null)
		{	throw createNKFE("EX_NKF_HELPER_DESTROYED", "MSG_NKF_HELPER_DESTROYED", getEndpoint().getClass().getName());
		}
	}
	
	public void invalidate()
	{	setRequestScope(null);
	}
}
